import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';
import { lineGraph } from './LineGraph';
import { scatterPlotRange} from './spwithrange.js';
import { barGraph } from './barGraph.js';
import { pieChart } from './pieChart.js';
import { lineWithRange } from './lineWithRange.js';
import {dataSet} from './dataSet';

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const parseDate = d3.timeParse("%d-%b-%Y");
// console.log(dataSet);

dataSet.forEach(d => {
  d.timestamp = parseDate(d.timestamp);
});

// console.log(dataSet);

const main = async () => {
  // const plot = scatterPlot()
  //   .width(width)
  //   .height(height)
  //   .data(await dataSet)
  //   .xValue((d) => d.timestamp)
  //   .yValue((d) => +d.value)
  //   .margin({
  //     top: 50,
  //     right: 60,
  //     bottom: 80,
  //     left: 100,
  //   })
  //   .radius(5)
  // 	.xLabel('Date')
  // 	.yLabel('Metric Value');
  
  // const plot2 = scatterPlotRange()
  //   .width(width)
  //   .height(height)
  //   .data(await dataSet)
  //   .xValue((d) => d.timestamp)
  //   .yValue((d) => +d.value)
  //   .margin({
  //     top: 50,
  //     right: 60,
  //     bottom: 80,
  //     left: 100,
  //   })
  //   .radius(5)
  // 	.xLabel('Date')
  // 	.yLabel('Metric Value');
  
  const plot1 = lineGraph()
  	.width(width)
    .height(height)
    .data(await dataSet)
    .xValue((d) => d.timestamp)
    .yValue((d) => +d.value)
    .margin({
      top: 50,
      right: 60,
      bottom: 80,
      left: 100,
    })
  	.xLabel('Date')
  	.yLabel('Metric Value');
  
  	// const plot5 = lineWithRange()
  	// .width(width)
  	// .height(height)
  	// .data(await dataSet)
  	// .xValue((d) => d.timestamp)
  	// .yValue((d) => +d.value)
  	// .margin({
  	// top: 50,
  	// right: 60,
  	// bottom: 80,
  	// left: 100,
  	// })
  	// .xLabel('Date')
  	// .yLabel('Metric Value')
  	// .timeRange('6m');
  
//   const plot3 = barGraph()
//   	.width(width)
//     .height(height)
//     .data(await dataSet)
//     .xValue((d) => d.timestamp)
//     .yValue((d) => +d.value)
//     .margin({
//       top: 50,
//       right: 60,
//       bottom: 80,
//       left: 100,
//     })
//   	.xLabel('Date')
//   	.yLabel('Metric Value');
  
//   const plot4 = pieChart()
//   	.width(400)
//     .height(200)
//     .data([
//       { label: 'Apple', value: 10 },
//       { label: 'Banana', value: 20 },
//       { label: 'Orange', value: 40 },
//       { label: 'Grapes', value: 15 },
//       { label: 'Mango', value: 25 },
//     ])
// 		.color(d3.scaleOrdinal().range(d3.schemeCategory10));  
  
  
  // svg.call(plot);
  svg.call(plot1);
  // svg.call(plot2);
  // svg.call(plot3);
  // svg.call(plot4);
};
main();



