import { arc, pie } from 'd3';

export const pieChart = () => {
  let width;
  let height;
  let data;
  let color;

  const my = (selection) => {
    const radius = Math.min(width, height) / 2;
    const centerX = width / 2;
    const centerY = height / 2;

    const pieGenerator = pie()
      .value((d) => d.value)
      .sort(null);

    const arcGenerator = arc()
      .innerRadius(0)
      .outerRadius(radius);

    const arcs = pieGenerator(data);

    selection
      .attr('width', width)
      .attr('height', height)
      .append('g')
      .attr('transform', `translate(${centerX},${centerY})`)
      .selectAll('path')
      .data(arcs)
      .join('path')
      .attr('d', arcGenerator)
      .attr('fill', (d) => color(d.data.label));
  };

  my.width = function (_) {
    return arguments.length ? ((width = +_), my) : width;
  };

  my.height = function (_) {
    return arguments.length ? ((height = +_), my) : height;
  };

  my.data = function (_) {
    return arguments.length ? ((data = _), my) : data;
  };

  my.color = function (_) {
    return arguments.length ? ((color = _), my) : color;
  };

  return my;
};
